.product__nav {
  background-color: #fff;
  box-shadow: var(--shadow_mid, 0rem 0.2rem 0.6rem rgba(0, 0, 0, 0.3));
  z-index: 3;
  position: -webkit-sticky;
  position: sticky;
  top: 0;
}
.product__nav * {
  box-sizing: border-box;
}
.product__nav--inner {
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  position: relative;
  max-width: 110rem;
  margin-inline: auto;
  padding: 0 1rem;
}
@media screen and (max-width: 599px) {
  .product__nav--inner {
    justify-items: center;
  }
}
@media screen and (max-width: 599px) {
  .product__nav--logo {
    height: 6.8rem;
    display: flex;
    align-items: center;
  }
}
.product__nav--logo a {
  text-decoration: none;
  color: #333;
  font-weight: 500;
}
@media screen and (min-width: 600px) {
  .product__nav--logo a {
    display: block;
    max-height: 7.2rem;
  }
}
.product__nav--main_menu {
  list-style: none;
  display: grid;
  grid-auto-flow: column;
  gap: 1rem 6.4rem;
  align-items: center;
  margin: 0;
}
@media screen and (min-width: 600px) {
  .product__nav--main_menu {
    align-items: stretch;
  }
}
@media screen and (max-width: 599px) {
  .product__nav--main_menu {
    grid-column: 1/-1;
    width: 100%;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease, padding 0.3s ease;
    grid-auto-flow: row;
    justify-items: center;
    padding: 0;
  }
  .product__nav--main_menu.open {
    max-height: 100vh;
    overflow-y: auto;
  }
}
.product__nav--item a {
  display: block;
  text-decoration: none;
  color: #333;
  font-weight: 500;
  justify-content: center;
  display: flex;
  align-items: center;
  text-align: center;
}
@media screen and (min-width: 600px) {
  .product__nav--item a {
    padding: 1.2rem 0.8rem;
    height: 100%;
    position: relative;
    gap: 4px;
  }
  .product__nav--item a:after {
    content: "";
    display: block;
    width: 0;
    height: 0.3rem;
    background-color: transparent;
    transition: width 0.3s;
    margin-inline: auto;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
  }
  .product__nav--item a:hover:after {
    content: "";
    width: 100%;
    background-color: #333;
  }
}
.product__nav--item img {
  height: 100%;
}
@media screen and (min-width: 600px) {
  .product__nav--item--has_dropdown:hover .product__nav--dropdown {
    max-height: 50rem;
    opacity: 1;
    border: 0.1rem solid rgba(12, 12, 13, 0.5);
  }
}
.product__nav--item--has_dropdown .product__nav--dropdown {
  position: absolute;
  top: calc(100% - 1rem);
  right: 0;
  background-color: #fafafa;
  box-shadow: var(--shadow_light, 0rem 0.2rem 0.8rem 0rem rgba(99, 99, 99, 0.2));
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  transition: opacity 0.3s ease;
  display: grid;
  list-style: none;
  border-radius: 0.8rem;
  padding: 0;
}
@media screen and (min-width: 600px) {
  .product__nav--item--has_dropdown .product__nav--dropdown_menu {
    border-top: 0.1rem solid rgba(12, 12, 13, 0.5);
  }
  .product__nav--item--has_dropdown .product__nav--dropdown_menu:first-child {
    border-top: none;
  }
}
@media screen and (min-width: 600px) {
  .product__nav--item--has_dropdown .product__nav--dropdown_menu a {
    transition: background-color 0.3s;
    padding: 1.6rem;
    min-width: 32rem;
  }
  .product__nav--item--has_dropdown .product__nav--dropdown_menu a:hover {
    background-color: #fdfdfd;
  }
}
@media screen and (max-width: 599px) {
  .product__nav--item--has_dropdown .product__nav--dropdown {
    position: static;
    box-shadow: none;
    display: flex;
    gap: 1rem;
    margin: 1rem 0;
    flex-direction: column;
  }
}
.product__nav--item--has_dropdown a::after {
  display: none;
}
@media screen and (max-width: 599px) {
  .product__nav--item--has_dropdown.open .product__nav--dropdown {
    max-height: 30rem;
    opacity: 1;
    background-color: #f6f7f8;
    padding: 1rem;
  }
  .product__nav--item--has_dropdown .product__nav--dropdown_menu {
    border-bottom: 0.15rem dashed rgba(12, 12, 13, 0.8);
    padding-bottom: 1rem;
  }
  .product__nav--item--has_dropdown .product__nav--dropdown_menu:last-child {
    border-bottom: none;
    padding-bottom: unset;
  }
}
@media screen and (min-width: 600px) {
  .product__nav--item.current a::after {
    content: "";
    display: block;
    width: 100%;
    height: 0.3rem;
    background-color: #333;
    transition: width 0.3s;
    margin-inline: auto;
  }
}
@media screen and (max-width: 599px) {
  .product__nav--item {
    border-top: 0.1rem dashed rgba(12, 12, 13, 0.8);
    padding-top: 1rem;
    text-align: center;
    width: 100%;
  }
}
@media screen and (min-width: 600px) {
  .product__nav--item {
    min-height: 7.2rem;
  }
}
.product__nav--purchase_btn a {
  color: #333;
  background-color: #fff;
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.16);
}
.product__nav--purchase_btn a::before {
  background-color: #333;
  width: 2.2rem;
  height: 2.2rem;
}

.menu-toggle {
  display: none;
  background: none;
  border: none;
  cursor: pointer;
  width: 4rem;
  position: relative;
  touch-action: manipulation;
  position: absolute;
  top: 2.2rem;
  right: 0;
  flex-direction: column;
  gap: 6px;
}
@media screen and (max-width: 599px) {
  .menu-toggle {
    display: flex;
  }
}
.menu-toggle span {
  display: block;
  height: 0.3rem;
  width: 100%;
  background-color: #333;
  transition: 0.3s ease;
  border-radius: 0.2rem;
}
.menu-toggle.active span:nth-child(1) {
  transform: translateY(0.9rem) rotate(45deg);
}
.menu-toggle.active span:nth-child(2) {
  opacity: 0;
}
.menu-toggle.active span:nth-child(3) {
  transform: translateY(-0.9rem) rotate(-45deg);
}

.triangle::after {
  content: "";
  background-image: url("/~/media/img/common/icon/icon_caret_open_b");
  background-size: cover;
  width: 2.4rem;
  height: 2.4rem;
  display: inline-block;
  vertical-align: bottom;
}

.product__nav--item--has_dropdown.open .triangle::after {
  background-image: url("/~/media/img/common/icon/icon_caret_close_b");
}